Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.core
Interface ExtendedUriInfo

All Superinterfaces:
  javax.ws.rs.core.UriInfo

    public interface ExtendedUriInfo

extends javax.ws.rs.core.UriInfo

Extentions to `UriInfo`.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.util.List<java.util.regex.MatchResult>` | `getMatchedResults()` Get a read-only list of `MatchResult` for matched resources.
`java.util.List<UriTemplate>` | `getMatchedTemplates()` Get a read-only list of `UriTemplate` for matched resources.
`java.util.List<javax.ws.rs.core.PathSegment>` | `getPathSegments(java.lang.String name)` Get a path segmenst that contains a template variable.
`java.util.List<javax.ws.rs.core.PathSegment>` | `getPathSegments(java.lang.String name, boolean decode)` Get a path segments that contains a template variable.

Methods inherited from interface javax.ws.rs.core.UriInfo
`getAbsolutePath, getAbsolutePathBuilder, getBaseUri, getBaseUriBuilder, getMatchedResources, getMatchedURIs, getMatchedURIs, getPath, getPath, getPathParameters, getPathParameters, getPathSegments, getPathSegments, getQueryParameters, getQueryParameters, getRequestUri, getRequestUriBuilder`

Method Detail

### getMatchedResults

    java.util.List<java.util.regex.MatchResult> getMatchedResults()

  Get a read-only list of `MatchResult` for matched resources. Entries are ordered in reverse request URI matching order, with the root resource match result last.

  Returns:
    a read-only list of match results for matched resources.

### getMatchedTemplates

    java.util.List<UriTemplate> getMatchedTemplates()

  Get a read-only list of `UriTemplate` for matched resources. Each entry is a URI template that is the value of the `Path` that is a partial path that matched a resource class, a sub-resource method or a sub-resource locator. Entries are ordered in reverse request URI matching order, with the root resource URI template last.

  Returns:
    a read-only list of URI templates for matched resources.

### getPathSegments

    java.util.List<javax.ws.rs.core.PathSegment> getPathSegments(java.lang.String name)

  Get a path segmenst that contains a template variable. All sequences of escaped octets are decoded, equivalent to `getPathSegment(true)`.

  Parameters:
    `name` - the template variable name
  Returns:
    the path segments, the list will be empty the matching path does not contain the template

### getPathSegments

    java.util.List<javax.ws.rs.core.PathSegment> getPathSegments(java.lang.String name,
                                                                 boolean decode)

  Get a path segments that contains a template variable.

  Parameters:
    `name` - the template variable name
    `decode` - controls whether sequences of escaped octets are decoded (true) or not (false).
  Returns:
    the path segments, the list will be empty the matching path does not contain the template

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.